%global pypi_name orange-canvas-core

Name:           python-%{pypi_name}
Version:        0.1.24
Release:        %mkrel 1
Summary:        Core component of Orange Canvas
Group:          Development/Python

License:        GPLv3
URL:            https://pypi.org/project/orange-canvas-core
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Orange Canvas Core is a framework for building graphical user interfaces for
editing workflows. It is a component used to build the Orange Canvas
(http://orange.biolab.si) data-mining application (for which it was developed
in the first place).

%package -n     python3-%{pypi_name}
Summary:        Core component of Orange Canvas
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools

%description -n python3-%{pypi_name}
Orange Canvas Core is a framework for building graphical user interfaces for
editing workflows. It is a component used to build the Orange Canvas
(http://orange.biolab.si) data-mining application (for which it was developed
in the first place).

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE.txt
%doc README.rst
%{python3_sitelib}/orangecanvas
%{python3_sitelib}/orange_canvas_core-%{version}-py*.egg-info


%changelog
* Sun Mar 20 2022 guillomovitch <guillomovitch> 0.1.24-1.mga9
+ Revision: 1809026
- imported package python-orange-canvas-core

